#ifndef CNEUTDATA_HH
#define CNEUTDATA_HH

#include "TObject.h"
#include "TVector3.h"

class CNeutData
{
public:
  CNeutData(){;}
  ~CNeutData(){;}

  bool operator==(const CNeutData& data){
    if(this->id == data.id){
      return true;
    }else{
      return false;
    }
  };

  int id;
  double qu, qd, tu, td;
  double qave, tave, dt;
  TVector3 pos;

  double time;
  TVector3 beta, gamma, p;
  double betaabs, pabs,  energy, theta, phi;
};

#endif
