#ifndef PRIMARYGENERATORACTIONMESSENGER_HH
#define PRIMARYGENERATORACTIONMESSENGER_HH

#include "globals.hh"
#include "G4UImessenger.hh"

class PrimaryGeneratorAction;
class G4UIdirectory;
class G4UIcmdWithADoubleAndUnit;
class G4UIcmdWithADouble;

class PrimaryGeneratorActionMessenger: public G4UImessenger
{
public:
  PrimaryGeneratorActionMessenger(PrimaryGeneratorAction* primaryGenetatorAction);
  virtual ~PrimaryGeneratorActionMessenger();

  void SetNewValue(G4UIcommand*, G4String);

private:
  PrimaryGeneratorAction* fPrimaryGeneratorAction;

  G4UIdirectory* fGunDirectory;
  G4UIcmdWithADoubleAndUnit* fStandardKineticEnergyCmd;
};

#endif

