#ifndef RUNACTION_HH
#define RUNACTION_HH

#include "G4UserRunAction.hh"
#include "G4String.hh"

class RunActionMessenger;
class G4Run;

class RunAction : public G4UserRunAction
{
public:
  RunAction();
  virtual ~RunAction();

  void BeginOfRunAction(const G4Run*);
  void EndOfRunAction(const G4Run*);

  void SetRunName(G4String val);

private:
  RunActionMessenger* fRunMessenger;
  G4String fRunName;
};

#endif

