#ifndef CSIMULATIONTOOLS_HH
#define CSIMULATIONTOOLS_HH 

#include "TObject.h"

#include "CNeutData.hh"

class CSimulationTools
{
public:
  static Double_t MeVtoMeVee(Double_t Tin, Double_t Tout, std::string name);
  static void threshold(std::vector<CNeutData>& data_v, double neutSoftwareThreshold, double vetoSoftwareThreshold);
  static void acceptance(std::vector<CNeutData>& data_v, double theta);
  // mode  0:all veto, 1:first only, <0:others 
  static bool veto(std::vector<CNeutData>& data_v, int mode);
  static void killveto(std::vector<CNeutData>& data_v);
  static void hitmintime(std::vector<CNeutData>& data_v);
  static void hitmintime2(std::vector<CNeutData>& data_v);
};

#endif
