#ifndef RUNACTIONMESSENGER_HH
#define RUNACTIONMESSENGER_HH

#include "globals.hh"
#include "G4UImessenger.hh"

class RunAction;
class G4UIdirectory;
class G4UIcmdWithAString;

class RunActionMessenger: public G4UImessenger
{
public:
  RunActionMessenger(RunAction* run);
  virtual ~RunActionMessenger();

  void SetNewValue(G4UIcommand*, G4String);

private:
  RunAction* fRunAction;

  G4UIdirectory* fRunActionDirectory;
  G4UIcmdWithAString* fRunNameCmd;
};

#endif

